Last Comment Bug 267831 - add a splitter to resize the search bar
: add a splitter to resize the search bar
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Toolbars and Customization (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Firefox 3 alpha8
Assigned To: Neil Deakin
:
: :Gijs Kruitbosch
Mentors:
: 205011 (view as bug list)
Depends on: 393733 391121 391128 393581 393718 393735 394091 398023 412601
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-04 16:48 PST by nrlz
Modified: 2010-05-08 13:29 PDT (History)
18 users (show)
mbeltzner: blocking‑firefox3+
ispiked: in‑litmus+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
screenshot of Firefox toolbar on Mac (38.85 KB, image/jpeg)
2004-11-04 16:48 PST, nrlz
no flags Details
simple implementation using a splitter (4.66 KB, patch)
2007-04-20 05:01 PDT, Neil Deakin
mbeltzner: ui‑review+
Details | Diff | Splinter Review
add a splitter to customize dialog (14.15 KB, patch)
2007-06-29 08:40 PDT, Neil Deakin
asaf: review+
mbeltzner: ui‑review+
Details | Diff | Splinter Review
image of windows and mac (4.07 KB, image/png)
2007-08-02 12:07 PDT, Neil Deakin
no flags Details

Description nrlz 2004-11-04 16:48:07 PST
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; rv:1.7.3) Gecko/20041001 Firefox/0.10.1
Build Identifier: Firefox/0.10.1

Using the Texturizer tweak found at
(http://texturizer.net/firefox/tips.html#app_searchbarsize) I resized the search
bar on Firefox. But on MacOSX, the search bar does not look resized. But it
indeed is resized because I can type long sentences in it. (See screenshot)

I also tried various different tweaks to resize the search bar including setting
the flex CSS on "id=searchbar" as well as "id=search-container" and setting
pixel widths too. All to no avail.

Reproducible: Always
Steps to Reproduce:
Comment 1 nrlz 2004-11-04 16:48:54 PST
Created attachment 164663 [details]
screenshot of Firefox toolbar on Mac
Comment 2 Kevin Gerich 2004-11-05 03:48:29 PST
I'll consider making the search box flexible in the future, but this isn't a
bug. Marking as an enhancement request.
Comment 3 nrlz 2004-11-05 09:34:55 PST
(In reply to comment #2)
> I'll consider making the search box flexible in the future, but this isn't a
> bug. Marking as an enhancement request.

I don't understand. I've already made the search box flexible with the
texturizer tip. And it is also flexible according to my screenshot.

The problem is that it's *look* does not correspond to it's *feel*. I can type
text beyond it's box boundaries.
Comment 4 Brian Yong 2004-11-20 20:52:55 PST
As a workaround, the resizesearchbox extension v0.0.4 now supports OS X:

http://dragtotab.mozdev.org/resizesearchbox/
Comment 5 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2004-12-22 00:57:07 PST

*** This bug has been marked as a duplicate of 228395 ***
Comment 6 Neil Deakin 2007-04-20 05:01:42 PDT
Created attachment 262241 [details] [diff] [review]
simple implementation using a splitter

Looks OK on Mac, but needs a suitable grippy image on other platforms (and a pointer cursor on all). Will leave the styling for now.
 
- adds a splitter to the toolbar whenever the urlbar and searchbar are next to each other (either order).
- persists the size between sessions

Another possibility is to add a fourth type of toolbar spacer which allows dragging, or to just the existing 'separator' type draggable.
Comment 7 Adam Guthrie 2007-06-14 01:49:43 PDT
Neil, beltzner: any update on this? This is a P2 on the PRD and blocking-firefox3+.
Comment 8 Mike Beltzner [:beltzner, not reading bugmail] 2007-06-21 12:35:55 PDT
Comment on attachment 262241 [details] [diff] [review]
simple implementation using a splitter

I like the effect of this (though mconnor notes over IRC that there's apparently problems with the persisting width between sessions) but think the ultimate implementation would be to create a splitter XUL element which can be added to the palette as you suggest, and then add that to the default UI. Seems cleaner than just always checking for these two elements.
Comment 9 Neil Deakin 2007-06-27 10:29:59 PDT
(In reply to comment #8)the
> the ultimate implementation would be to create a splitter XUL element which
> can be added to the palette as you suggest, and then add that to the default UI. 
> Seems cleaner than just always checking for these two elements.

True, but the urlbar and searchbar are the only resizable items. If an extension adds others, having a customizable item becomes tricky because the width has to be persisted on each item.

Comment 10 Neil Deakin 2007-06-29 08:40:10 PDT
Created attachment 270333 [details] [diff] [review]
add a splitter to customize dialog

This patch adds a splitter (Resizer) to the customize dialog, but it doesn't include it in the toolbar by default.

It looks good on Mac, and is just a tall vertical bar on other platforms. We will probably want to tweak the css a bit to make it look better, but
Comment 11 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2007-07-11 16:08:40 PDT
Comment on attachment 270333 [details] [diff] [review]
add a splitter to customize dialog

I would really r- some hunks here if they were note in the context of, but.

r=mano, please add the missing \n to customizeToolbar.properties.
Comment 12 Mano (::mano, needinfo? for any questions; not reading general bugmail) 2007-07-11 16:09:09 PDT
/were not/
Comment 13 Michael Ventnor 2007-07-13 19:53:03 PDT
Do we really need a new ui-r request here? Beltzner already gave a ui-r+.
Comment 14 Neil Deakin 2007-07-13 23:14:38 PDT
The latest patch and the patch before it don't implement this using the same UI.
Comment 15 Mike Beltzner [:beltzner, not reading bugmail] 2007-07-25 15:40:21 PDT
Comment on attachment 270333 [details] [diff] [review]
add a splitter to customize dialog

Please add it to the default toolbar as well. For styling, what do you need? A PNG?
Comment 16 Mike Connor [:mconnor] 2007-07-26 08:35:27 PDT
Missing the freeze, moving out.
Comment 17 Neil Deakin 2007-08-02 12:07:02 PDT
Created attachment 274980 [details]
image of windows and mac

(In reply to comment #15)
> (From update of attachment 270333 [details] [diff] [review])
> Please add it to the default toolbar as well. For styling, what do you need? A
> PNG?
> 

beltzner: here is an image of the resizer on Mac and Windows. On Mac, the native theme appearance looks ok. On Windows, the vertical bar doesn't look too great. Suggestions would be to draw a similar dot, or have a vertical bar that doesn't stretch to the edge of the toolbar. Linux is similar to Windows.
Comment 18 Adam Guthrie 2007-08-06 15:38:34 PDT
Verified FIXED using Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9a8pre) Gecko/2007080614 Minefield/3.0a8pre.

Adding in-litmus+ flag: http://litmus.mozilla.org/show_test.cgi?id=4530 and http://litmus.mozilla.org/show_test.cgi?id=4529.
Comment 19 Jesse Ruderman 2007-08-12 14:48:26 PDT
I don't like this UI for resizing the search bar, for three reasons.

(1) In an existing profile, resizing the search bar requires a lot of steps.

1. Open "Customize Toolbars".
2. Drag the tiny "Resizer" item to between the address bar and search bar.
3. Close "Customize Toolbars".
4. Drag the resizer.

I don't think many users would figure that out, given the goal "make the search bar a little bigger".

(2) If I don't want the resizer to be on the toolbar permanently, resizing the search bar once requires adding the resizer and then removing it.  I think I should be able to resize the search bar quickly whenever I'm in Customize Toolbars mode, even if I haven't added a permanent "resizer" element.

(3) If I add the resizer somewhere other than between the address bar and search bar, bizarre things happen (e.g. squished Home button).
Comment 20 Steffen Wilberg 2007-08-12 14:50:36 PDT
*** Bug 205011 has been marked as a duplicate of this bug. ***
Comment 21 pd 2007-08-13 07:14:38 PDT
The solution provided here is buggy.

1) Removing the splitter removes the search bar as well, despite these items being separate in the customise 'pallete'

2) Removing the splitter removes the search bar as well, but also leaves a splitter behind on the far right end of the Navigation Toolbar.

3) The look of the splitter appears completely out of place with the rest of the Firefox UI. This needs to be addressed by the people who developed the current theme. At the moment it looks like developers, not graphic designers, have tacked on this UI element.
Comment 22 Stefan Breunig 2007-08-13 08:06:01 PDT
1+2) WFM (on existing profile)
3) I agree

Additionally the splitter pretty much causes mayhem when put and drag elsewhere than between search and URL bar (say between Home button and URL bar). The resizer should only affect resizeable elements, in default UI these are fixed and flexible space and URL Bar/search bar. I don't see the point in resizing a flexible space (defies its purpose) and the width of fixed spaces can be increase by simply adding more of them.
I don't see the point in being able to place it other than left or right of the search bar, plus there must be some shrinkable element (e.g. a button wouldn't qualify.)

Should new bugs be opened for these issues?
Comment 23 Adam Guthrie 2007-08-13 08:20:04 PDT
(In reply to comment #22)
> Should new bugs be opened for these issues?

Yes, please, and mark them as blocking this bug. Making comments in a closed bug accomplishes almost nothing.

Note You need to log in before you can comment on or make changes to this bug.